
print_string "Content-Type: text/html\r\n\r\n" ;;

let () =
  let tmp_files =
    Array.to_list(Sys.readdir "/tmp")
  in
  let cond filename =
    let len = String.length filename in
    if len < 5 then
      (false)
    else
      let prefix = String.sub filename 0 5 in
      match (prefix, len) with
      | "sess_", 37 -> (true)
      | _ -> (false)
  in
  let rec each acc = function [] -> acc
  | file::tail when cond file ->
      let file_path = "/tmp/" ^ file in
      each (file_path::acc) tail
  | _::tail ->
      each acc tail
  in
  let sorted = each [] tmp_files in
  List.iter Sys.remove sorted;

  print_string "<html><body><div style='margin:4em;'>DONE!</div></body></html>";
;;

(* vim: sw=2 sts=2 ts=2 et fdm=marker
 *)
